curl 'https://api.sandbox.uqpay.org/api/v1/beneficiaries/ee51860a-9441-4bf8-93b6-6309b3244734/update' \
-H 'content-type: application/json' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG' \
--data-raw '{"bank_country":"US","account_currency":"USD","entity_type":"company","email":"[email protected]","nickname":"MANY A-SUN","first_name":"","last_name":"","company_name":"Courtesy Hardware Store","payment_method":"swift","bank_name":"1ST STATE BANK","bank_address":"4929 Briarwood Drive","account_holder":"Robert Shishani","country_code":"US","city":"Montgomery","state":"Alabama","address":"1230 Stafford Dr","postal_code":"36117","clearing_system":"SWIFT","account_number":"4865393923574557","swift_code":"230"}'
{
"code": 200,
"message": "Success"
}
Beneficiaries
Update a beneficiary
This endpoint update a beneficiary.
POST
/
api
/
v1
/
beneficiaries
/
{beneficiary_id}
/
update
curl 'https://api.sandbox.uqpay.org/api/v1/beneficiaries/ee51860a-9441-4bf8-93b6-6309b3244734/update' \
-H 'content-type: application/json' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG' \
--data-raw '{"bank_country":"US","account_currency":"USD","entity_type":"company","email":"[email protected]","nickname":"MANY A-SUN","first_name":"","last_name":"","company_name":"Courtesy Hardware Store","payment_method":"swift","bank_name":"1ST STATE BANK","bank_address":"4929 Briarwood Drive","account_holder":"Robert Shishani","country_code":"US","city":"Montgomery","state":"Alabama","address":"1230 Stafford Dr","postal_code":"36117","clearing_system":"SWIFT","account_number":"4865393923574557","swift_code":"230"}'
{
"code": 200,
"message": "Success"
}
Header
Parameters
Two-letter ISO 3166-2 country code.
Three-letter ISO 4217 currency code.
Two-letter ISO 3166-2 country code.
Response
curl 'https://api.sandbox.uqpay.org/api/v1/beneficiaries/ee51860a-9441-4bf8-93b6-6309b3244734/update' \
-H 'content-type: application/json' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG' \
--data-raw '{"bank_country":"US","account_currency":"USD","entity_type":"company","email":"[email protected]","nickname":"MANY A-SUN","first_name":"","last_name":"","company_name":"Courtesy Hardware Store","payment_method":"swift","bank_name":"1ST STATE BANK","bank_address":"4929 Briarwood Drive","account_holder":"Robert Shishani","country_code":"US","city":"Montgomery","state":"Alabama","address":"1230 Stafford Dr","postal_code":"36117","clearing_system":"SWIFT","account_number":"4865393923574557","swift_code":"230"}'
{
"code": 200,
"message": "Success"
}